=== debian/control ===
Source: ros-lunar-roseus-smach
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-actionlib, ros-lunar-actionlib-tutorials, ros-lunar-catkin, ros-lunar-message-generation, ros-lunar-roseus, ros-lunar-rostest, ros-lunar-smach, ros-lunar-smach-msgs, ros-lunar-smach-ros, ros-lunar-std-msgs
Homepage: http://ros.org/wiki/roseus_smach
Standards-Version: 3.9.2

Package: ros-lunar-roseus-smach
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-actionlib, ros-lunar-actionlib-tutorials, ros-lunar-euslisp, ros-lunar-message-runtime, ros-lunar-roseus, ros-lunar-rostest, ros-lunar-smach, ros-lunar-smach-msgs, ros-lunar-smach-ros, ros-lunar-std-msgs
Description: roseus_smach * Euslisp state machine class.
 it will be moved. * Message publisher for visualizing current state by smach_viewer. * Simple pickle dump script for debugging state machine. * Execute state machine as a action server.
